


SNMPGETNEXT(1)                                     SNMPGETNEXT(1)


NAME
       snmpgetnext  -  communicates  with  a network entity using
       SNMP GET NEXT Requests.

SYNOPSIS
       snmpgetnext  [-p  <port>]  host  community   variable-name
       [variable-name]...

DESCRIPTION
       Snmpget  is  an  SNMP  application  that uses the GET NEXT
       Request to query for information on a network entity.  One
       or  more  object  identifiers may be given as arguments on
       the command line.  Each variable name is given in the for-
       mat specified in variables(5).  For each one, the variable
       that is lexicographicly "next" in the remote entity's  MIB
       will be returned.

       The  host  specification  may  be either a host name or an
       internet address specified in "dot notation"

       The community specifies the community name for the  trans-
       action with the remote system.

       For example

       snmpgetnext  netdev-kbox.cc.cmu.edu public system.sysdescr
       system.sysUpTime

       will retrieve the variables sysDescr.0 and sysUpTime.0:

       Name: system.sysDescr.0
       OCTET STRING- (ascii):   Kinetics FastPath2

       Name: system.sysUpTime.0
       Timeticks: (2270351) 6:18:23

       If the network entity has an error processing the  request
       packet,  an  error  message will be shown, helping to pin-
       point in what way the request was malformed.

       Adding a "-d" to the argument list will cause the applica-
       tion to dump input and output packets.


COMMUNITY ARGUMENT
       The  agent and applications are all SNMPv1/SNMPv2c/SNMPv2u
       compatible.  The version is that the application will  use
       is  selected by inspecting the first character of the com-
       munity string provided to the application, as follows:

       o      if the first character of the community string is a
              "+"  then  the  SNMPv2c  (community-based SNMPv2 as
              specified in RFC 1901) is used  (the  remainder  of
              the   community   string  is  used  as  the  actual
              community string);

       o      if the first character of the community string is a
              "/" then the SNMPv2u (User-based security model) is
              used (see the note below for more details);

       o      all other community strings select SNMPv1.


       A community string that begins with a  slash  selects  the
       SNMPv2u  protocol.   The  "community"  string is parsed to
       build the parameters for the communication. The format  of
       the string is:
            /userName/[authKey]/[privKey]/[contextSelector]
       Trailing  slashes may be omitted. Both authKey and privKey
       may be specified as hex or as a human  readable  password.
       To  specify a hex key, the key must begin with "0x" and be
       followed by exactly 32 hex digits  (to  form  a  16  octet
       key).   If a human readable password is entered, the pass-
       word is passed through the "password to key algorithm"  to
       generate  the  16 octet key. The password to key algorithm
       is specified in the "User-Based Security Model for SNMPv2"
       RFC.

       A  "+"  or  "/" character may not start a SNMPv1 community
       string and may not be contained within any SNMPv2  parame-
       ters (this is an *implementation* restriction).

       Some "community" string examples:
       /joe                -- qos=noAuth/noPriv, context="", userName="joe"

       /boneless/chicken/ranch -- qos=auth/priv, context="", userName="boneless"
                         authKey=pw2key("chicken"), privKey=pw2key("ranch")
                         *note* privacy not supported, trying this will generate
                         a UnsupportedQoS report.

       /maplesyrup/sugarbush//other
                      -- qos=auth/noPriv, context="other", userName="maplesyrup"
                         authKey=pw2key("sugarbush",agentID)

       /glenn/0x4ca25023b00a6689ef21cb1b6fa9cb0e
                      -- qos=auth/noPriv, context="", userName="glenn"
                         authKey=4ca25023b00a6689ef21cb1b6fa9cb0e
                         (the authKey is keyed using an agentID)

       +public             -- SNMPv2c using public as the community string

       public              -- SNMPv1 using public as the community string


SEE ALSO
       variables(5), RFC 1065, RFC 1066, RFC 1067





                            July 1996                           2


