


SNMPTRAP(1)                                           SNMPTRAP(1)


NAME
       snmptrap - Send an SNMP TRAP message to a host.

SYNOPSIS
       snmptrap  host  community  trap-type specific-type device-
       description [ -a agent-addr ]

DESCRIPTION
       snmptrap is an SNMP application that forms  and  sends  an
       SNMP TRAP message to a host.

       The  host  specification  may  be either a host name or an
       internet address specified in "dot notation"

       The community specifies the community name for the  trans-
       action with the remote system.

       The  trap-type and specific-type are integers that specify
       the type of trap message being sent.

       The device-description is a  textual  description  of  the
       device  sending  this  trap,  to be used as the value of a
       system.sysDescr.0 variable sent in the  variable  list  of
       this  trap  message.   The optional argument -a agent-addr
       can be used to change the  address  from  which  the  trap
       reports  it  is  being sent.  Otherwise the sending host's
       address is used.

       For example

       snmptrap  nic.andrew.cmu.edu  public  0   0   'SUN   3/60:
       SUNOS4.0'

       will send a Cold Start trap to the specified machine.

       The defined trap types are:

       0      coldStart  -  signifies  that  the sending protocol
              entity  is  reinitializing  itself  such  that  the
              agent's configuration or the protocol entity imple-
              mentation may be altered.

       1      warmStart - signifies  that  the  sending  protocol
              entity  is  reinitializing itself such that neither
              the agent configuration  nor  the  protocol  entity
              implementation is altered.

       2      linkDown  -  signifies  that  the  sending protocol
              entity recognizes a failure in one of the  communi-
              cation  links represented in the agent's configura-
              tion.

       3      linkUp - signifies that the sending protocol entity
              recognizes  that  one  of  the  communication links
              represented in the agent's configuration  has  come
              up.

       4      authenticationFailure  - signifies that the sending
              protocol entity is the addressee of a protocol mes-
              sage  that  is  not  properly authenticated.  While
              implementations of the SNMP must be capable of gen-
              erating  this  trap,  they  must also be capable of
              suppressing the  emission  of  such  traps  via  an
              implementation-specific mechanism.

       5      egpNeighborLoss  -  signifies  that an EGP neighbor
              for whom the sending protocol  entity  was  an  EGP
              peer has been marked down and the peer relationship
              no longer obtains.

       6      enterpriseSpecific -  signifies  that  the  sending
              protocol  entity  recognizes  that some enterprise-
              specific event  has  occurred.   The  specific-trap
              field   identifies   the   particular   trap  which
              occurred.

       Adding a "-d" to the argument list will cause the applica-
       tion to dump the output packet.


SEE ALSO
       RFC 1065, RFC 1066, RFC 1067

