


SNMPWALK(1)                                           SNMPWALK(1)


NAME
       snmpwalk  -  communicates with a network entity using SNMP
       GET Next Requests.

SYNOPSIS
       snmpwalk [-p <port>] host community [variable-name]

DESCRIPTION
       Snmpwalk  is  an  SNMP  application  that  uses  GET  NEXT
       Requests  to  query for a tree of information about a net-
       work entity.

       The host specification may be either a  host  name  or  an
       internet address specified in "dot notation"

       The  community specifies the community name for the trans-
       action with the remote system.

       A variable may also be given on the  command  line.   This
       variable  specifies which portion of the object identifier
       space will be searched using GET NEXT Requests.  All vari-
       ables  in the subtree below the given variable are queried
       and their values presented to  the  user.   Each  variable
       name is given in the format specified in variables(5).

       If  the  "variable-name" argument is not present, snmpwalk
       will search the whole Internet MIB.

       For example

       snmpwalk netdev-kbox.cc.cmu.edu public system

       will retrieve the variables sysDescr.0  and  sysObjectID.0
       and sysUpTime.0:

       Name: system.sysDescr.0
       OCTET STRING- (ascii):   Kinetics FastPath2

       Name: system.sysObjectID.0
       OBJECT   IDENTIFIER:  .iso.org.dod.internet.private.enter-
       prises.CMU.sysID.CMU-KIP

       Name: system.sysUpTime.0
       Timeticks: (2291082) 6:21:50

       If the network entity has an error processing the  request
       packet,  an  error  packet  will be returned and a message
       will be shown, helping to pinpoint  why  the  request  was
       malformed.

       If  the  tree  search causes attempts to search beyond the
       end of the MIB, a message will be displayed:

       End of MIB.


       Adding a "-d" to the argument list will cause the applica-
       tion to dump input and output packets.


COMMUNITY ARGUMENT
       The  agent and applications are all SNMPv1/SNMPv2c/SNMPv2u
       compatible.  The version is that the application will  use
       is  selected by inspecting the first character of the com-
       munity string provided to the application, as follows:

       o      if the first character of the community string is a
              "+"  then  the  SNMPv2c  (community-based SNMPv2 as
              specified in RFC 1901) is used  (the  remainder  of
              the  community  string is used as the actual commu-
              nity string);

       o      if the first character of the community string is a
              "/" then the SNMPv2u (User-based security model) is
              used (see the note below for more details);

       o      all other community strings select SNMPv1.


       A community string that begins with a  slash  selects  the
       SNMPv2u  protocol.   The  "community"  string is parsed to
       build the parameters for the communication. The format  of
       the string is:
            /userName/[authKey]/[privKey]/[contextSelector]
       Trailing  slashes may be omitted. Both authKey and privKey
       may be specified as hex or as a human  readable  password.
       To  specify a hex key, the key must begin with "0x" and be
       followed by exactly 32 hex digits  (to  form  a  16  octet
       key).   If a human readable password is entered, the pass-
       word is passed through the "password to key algorithm"  to
       generate  the  16 octet key. The password to key algorithm
       is specified in the "User-Based Security Model for SNMPv2"
       RFC.

       A  "+"  or  "/" character may not start a SNMPv1 community
       string and may not be contained within any SNMPv2  parame-
       ters (this is an *implementation* restriction).

       Some "community" string examples:
       /joe                -- qos=noAuth/noPriv, context="", userName="joe"

       /boneless/chicken/ranch -- qos=auth/priv, context="", userName="boneless"
                         authKey=pw2key("chicken"), privKey=pw2key("ranch")
                         *note* privacy not supported, trying this will generate
                         a UnsupportedQoS report.

       /maplesyrup/sugarbush//other
                      -- qos=auth/noPriv, context="other", userName="maplesyrup"
                         authKey=pw2key("sugarbush",agentID)


       /glenn/0x4ca25023b00a6689ef21cb1b6fa9cb0e
                      -- qos=auth/noPriv, context="", userName="glenn"
                         authKey=4ca25023b00a6689ef21cb1b6fa9cb0e
                         (the authKey is keyed using an agentID)

       +public             -- SNMPv2c using public as the community string

       public              -- SNMPv1 using public as the community string


SEE ALSO
       variables(5), RFC 1065, RFC 1066, RFC 1067
