#ifndef _SNMP_IMPL_H_
#define _SNMP_IMPL_H_

/***********************************************************
        Copyright 1998 by Carnegie Mellon University

                      All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the name of CMU not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

CMU DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
CMU BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.
******************************************************************/

/*
 * Definitions for SNMP (RFC 1067) implementation.
 */

/*
 * Maximum buffer length used in the MIB printing routines.
 *
 * Attempting to print a variable of length greater than this will cause your
 * application to crash.
 */
#define MAX_RETURN_BUFLEN 4096

/*
 * Max length of a token read by the new MIB parser.
 */
#define TOKENSIZE 128

/*
 * Error codes:
 *
 * These must not clash with SNMP error codes (all positive).
 */
#define PARSE_ERROR  -1
#define BUILD_ERROR  -2

#define SID_MAX_LEN   64
#define PACKET_LENGTH 4500

#ifndef NULL
#define NULL 0
#endif

#ifndef TRUE
#define TRUE  1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef DIM
#define DIM(x) (sizeof(x)/sizeof(x[0]))
#endif

#ifndef ARGSUSED
#define ARGSUSED(x) (x = x)
#endif

#endif
