#
#  Makefile for Metaware HighC port WatTCP - SNMPlib
#

.AUTODEPEND

!include ..\common.mak

SNMP_LIB = ..\lib\snmp_x.lib

CFLAGS   = $(HC_CFLAGS) -Hsuffix=.o32 -Hnocopyr -Hnoswap             \
           -Hon=relax_func_ptr_rules -Hon=Preload_args_from_memory   \
           -Hon=char_is_rep -Hon=quiet -Hoff=check_stack             \
           -Hoff=behaved -Hon=Recognize_library -Hpragma=Offwarn(572)\
           -Hpragma=stack_size_warn(10000)

LFLAGS   = -lib hc386, hc387, $(SNMP_LIB) -nostub -pack      \
           -offset 1000h -twocase -unprivileged -symbols     \
           -purge none * -mapnames 30 -mapwidth 132 -fullseg \
           -publist both

SOURCE = api.c api_util.c api_err.c asn1.c client.c coexist.c dump.c \
         error.c extra.c mclient.c mib.c mibii.c msg.c new_pars.c    \
         parse.c pdu.c vars.c version.c md5.c usec.c

OBJECTS  = $(SOURCE:.c=.o32)

all: $(SNMP_LIB) test-mib.exp

$(SNMP_LIB) : $(OBJECTS)
         386lib $(SNMP_LIB) @&&|
              -nowarn -nobackup -twocase -replace $(OBJECTS)
|

test-mib.exp: $(SNMP_LIB) test-mib.o32
       386link $*.o32 @&&|
         $(LFLAGS)
|

.c.o32:
        hc386.exe -c @&&|
        $(CFLAGS)
| $*.c

clean:
        @del *.o32
        @del test-mib.exp
        @del test-mib.map


api.o32      : api.c      snmp_lib.h
api_err.o32  : api_err.c  snmp_lib.h
api_util.o32 : api_util.c snmp_lib.h
asn1.o32     : asn1.c     snmp_lib.h
client.o32   : client.c   snmp_lib.h
coexist.o32  : coexist.c  snmp_lib.h
dump.o32     : dump.c     snmp_lib.h
error.o32    : error.c    snmp_lib.h
extra.o32    : extra.c    snmp_lib.h
mclient.o32  : mclient.c  snmp_lib.h
md5.o32      : md5.c      snmp_lib.h
mib.o32      : mib.c      snmp_lib.h
mibii.o32    : mibii.c    snmp_lib.h
msg.o32      : msg.c      snmp_lib.h
new_pars.o32 : new_pars.c snmp_lib.h
parse.o32    : parse.c    snmp_lib.h
pdu.o32      : pdu.c      snmp_lib.h
test-mib.o32 : test-mib.c snmp_lib.h
usec.o32     : usec.c     snmp_lib.h
vars.o32     : vars.c     snmp_lib.h
version.o32  : version.c  snmp_lib.h
snmp_lib.h   : asn1.h error.h mibii.h extra.h parse.h dump.h session.h \
               debug.h vars.h pdu.h msg.h coexist.h version.h md5.h    \
               usec.h impl.h api.h api_util.h api_err.h client.h       \
               mclient.h internal.h mib.h compat.h
